Subject: [earlywarning] Definition of Warning Categories

From: "Hannes Tschofenig" <[email-masked]>
Date: Sun, 12 Jul 2009 13:58:13 +0300

Hi all, 

I am currently looking at the <category> element found in the CAP
specification. The description says "The code denoting the category of the
subject event of the alert message" and a few values are listed as well:

"Geo" - Geophysical (inc. landslide)
"Met" - Meteorological (inc. flood)
"Safety" - General emergency and public
safety
"Security" - Law enforcement, military,
homeland and local/private security
"Rescue" - Rescue and recovery
"Fire" - Fire suppression and rescue
"Health" - Medical and public health
"Env" - Pollution and other environmental
"Transport" - Public and private
transportation
"Infra" - Utility, telecommunication, other
non-transport infrastructure
"CBRNE" - Chemical, Biological,
Radiological, Nuclear or High-Yield
Explosive threat or attack
"Other" - Other events

I was wondering whether there is somewhere a more verbose / more complete
description of the semantic of the individual values. 

Ciao
Hannes

---

From: Art Botterell <[email-masked]>
Date: Sun, 12 Jul 2009 08:51:43 -0700

> description of the semantic of the individual values.

No, and that's deliberate.  Considering the high levels of uncertainty  
that so often surround emergent events, the CAP designers (first in  
the CAP Working Group and later within OASIS) struggled to balance  
completeness against specificity.  There was also a concern that we  
could get bogged down in trying to perfect the taxonomies and wind up  
with no standard at all.

So the definitions were deliberately left somewhat open-ended and  
contextual... some would go so far as to say "vague" and I, for one,  
wouldn't argue.

- Art

---

From: Art Botterell <[email-masked]>
Date: Sun, 12 Jul 2009 11:23:31 -0700

David has it exactly.  I would expect that in some future "CAP 2.0"  
the concept of managed lists might be extended back into CAP...  
assuming interested communities start making headway on building such  
lists.

- Art

On Jul 12, 2009, at 7/12/09 9:54 AM, David Aylward (Comcare) wrote:

> Hannes:
>
> As Art says, CAP's incident list is very general.  To further Art's  
> point,
> when it came to the development of what became the OASIS EDXL  
> Distribution
> Element (DE), we faced the same issue as a primary purpose of the DE  
> is
> routing messages by incident type.  The CAP categories were far too  
> broad
> for that.
>
> So the draft requirements and specification for the DE developed by  
> the
> cross emergency domain practitioner working group developed a  
> detailed list
> of incident types for submission to the OASIS EMTC as part of its  
> request
> for the development of that standard.
>
> The EMTC wisely rejected our suggestion, thinking that (1) the work to
> create a shared incident type taxomony should be done for the US and  
> other
> countries, but hadn't been done yet, and (2) such lists of incident  
> types
> would likely change more frequently than the standard.
>
> So they adopted a flexible solution of "Managed Lists" for this and  
> similar
> list issues (e.g. roles).   Under this approach values such as  
> incident
> names appear in the standard, along with the name of the managed  
> list you
> are using.  If there is only one Managed List for that topic in the  
> world,
> great, but if there are several you can still communicate because  
> you know
> which list is being used.
>
> The absence of both initial managed lists and a repository for their
> locations is an identified gap that hopefully will be addressed  
> soon.  A
> number of us developed a project to do Managed Lists for incident  
> names and
> roles, but other priorities have gotten in the way.
>
>
>
>
> David K. Aylward, President
> COMCARE Emergency Response Technology Group
> 1351 Independence Court, SE
> Washington, DC 20003
> 202.255.3215 (mobile)
> 202.295.0136 (office)
> 202.521.4047 (fax)
> [email-masked]
>
> This communication is intended for the use of the recipient to which  
> it is
> addressed, and may contain confidential, personal and/or privileged
> information. Please contact us immediately if you are not the intended
> recipient of this communication, and do not copy, distribute, or  
> take action
> relying on it. Any communication received in error, or subsequent  
> reply,
> should be deleted or destroyed.
>
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Art  
> Botterell
> Sent: Sunday, July 12, 2009 11:52 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [CAP] Definition of Warning Categories
>
> _______________________________________________
> This list is for public discussion of the Common Alerting Protocol.   
> This
> list is NOT part of the formal record of the OASIS Emergency  
> Management TC.
> Comments for the OASIS record should be posted using the form at
> http://www.oasis-open.org/committees/comments/form.php?wg_abbrev=emergency
> CAP-list mailing list
> [email-masked]
> http://lists.incident.com/mailman/listinfo/cap-list
>
> This list is not for announcements, advertising or advocacy of any
> particular program or product other than the CAP itself.
>
>
>
> _______________________________________________
> This list is for public discussion of the Common Alerting Protocol.   
> This list is NOT part of the formal record of the OASIS Emergency  
> Management TC.  Comments for the OASIS record should be posted using  
> the form at http://www.oasis-open.org/committees/comments/form.php?wg_abbrev=emergency
> CAP-list mailing list
> [email-masked]
> http://lists.incident.com/mailman/listinfo/cap-list
>
> This list is not for announcements, advertising or advocacy of any  
> particular program or product other than the CAP itself.

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Sun, 12 Jul 2009 22:07:13 +0300

Hi David, 

Is this really so difficult? 

Here is what I would do: Setup a registry that associates labels with a
description of what the label means. Someone maintains the registry (in the
IETF we use IANA). Someone adds a new term - fine. Deleting unused or
revised terms is fine as well. 

So, is there an initial list flying around somewhere already? 

Ciao
Hannes

PS: What is the <category> element in the CAP document used for today? 

>[mailto:[email-masked]] On Behalf Of 
>David Aylward (Comcare)
>Sent: 12 July, 2009 19:55
>As Art says, CAP's incident list is very general.  To further 
>Art's point, when it came to the development of what became 
>the OASIS EDXL Distribution Element (DE), we faced the same 
>issue as a primary purpose of the DE is routing messages by 
>incident type.  The CAP categories were far too broad for that.  
>
>So the draft requirements and specification for the DE 
>developed by the cross emergency domain practitioner working 
>group developed a detailed list of incident types for 
>submission to the OASIS EMTC as part of its request for the 
>development of that standard.
>
>The EMTC wisely rejected our suggestion, thinking that (1) the 
>work to create a shared incident type taxomony should be done 
>for the US and other countries, but hadn't been done yet, and 
>(2) such lists of incident types would likely change more 
>frequently than the standard.  
>
>So they adopted a flexible solution of "Managed Lists" for 
>this and similar
>list issues (e.g. roles).   Under this approach values such as incident
>names appear in the standard, along with the name of the 
>managed list you are using.  If there is only one Managed List 
>for that topic in the world, great, but if there are several 
>you can still communicate because you know which list is being used.  
>
>The absence of both initial managed lists and a repository for 
>their locations is an identified gap that hopefully will be 
>addressed soon.  A number of us developed a project to do 
>Managed Lists for incident names and roles, but other 
>priorities have gotten in the way.
>
>
>
> 
>This communication is intended for the use of the recipient to 
>which it is addressed, and may contain confidential, personal 
>and/or privileged information. Please contact us immediately 
>if you are not the intended recipient of this communication, 
>and do not copy, distribute, or take action relying on it. Any 
>communication received in error, or subsequent reply, should 
>be deleted or destroyed.
>
>
>[mailto:[email-masked]] On Behalf Of Art Botterell
>> I was wondering whether there is somewhere a more verbose / more 
>> complete description of the semantic of the individual values.
>
>No, and that's deliberate.  Considering the high levels of 
>uncertainty that so often surround emergent events, the CAP 
>designers (first in the CAP Working Group and later within 
>OASIS) struggled to balance completeness against specificity.  
>There was also a concern that we could get bogged down in 
>trying to perfect the taxonomies and wind up with no standard at all.
>
>So the definitions were deliberately left somewhat open-ended 
>and contextual... some would go so far as to say "vague" and 
>I, for one, wouldn't argue.
>
>- Art
>
>
>
>This list is for public discussion of the Common Alerting 
>Protocol.  This list is NOT part of the formal record of the 
>OASIS Emergency Management TC.
>This list is not for announcements, advertising or advocacy of 
>any particular program or product other than the CAP itself.
>
>
>
>This list is for public discussion of the Common Alerting 
>Protocol.  This list is NOT part of the formal record of the 
>OASIS Emergency Management TC.  Comments for the OASIS record 
>should be posted using the form at 
>This list is not for announcements, advertising or advocacy of 
>any particular program or product other than the CAP itself.
>

---

From: "David Aylward \(Comcare\)" <[email-masked]>
Date: Sun, 12 Jul 2009 12:54:56 -0400

Hannes:

As Art says, CAP's incident list is very general.  To further Art's point,
when it came to the development of what became the OASIS EDXL Distribution
Element (DE), we faced the same issue as a primary purpose of the DE is
routing messages by incident type.  The CAP categories were far too broad
for that.  

So the draft requirements and specification for the DE developed by the
cross emergency domain practitioner working group developed a detailed list
of incident types for submission to the OASIS EMTC as part of its request
for the development of that standard.

The EMTC wisely rejected our suggestion, thinking that (1) the work to
create a shared incident type taxomony should be done for the US and other
countries, but hadn't been done yet, and (2) such lists of incident types
would likely change more frequently than the standard.  

So they adopted a flexible solution of "Managed Lists" for this and similar
list issues (e.g. roles).   Under this approach values such as incident
names appear in the standard, along with the name of the managed list you
are using.  If there is only one Managed List for that topic in the world,
great, but if there are several you can still communicate because you know
which list is being used.  

The absence of both initial managed lists and a repository for their
locations is an identified gap that hopefully will be addressed soon.  A
number of us developed a project to do Managed Lists for incident names and
roles, but other priorities have gotten in the way.

 
This communication is intended for the use of the recipient to which it is
addressed, and may contain confidential, personal and/or privileged
information. Please contact us immediately if you are not the intended
recipient of this communication, and do not copy, distribute, or take action
relying on it. Any communication received in error, or subsequent reply,
should be deleted or destroyed.

-----Original Message-----

On Jul 12, 2009, at 7/12/09 3:58 AM, Hannes Tschofenig wrote:
> complete

- Art

_______________________________________________
This list is for public discussion of the Common Alerting Protocol.  This
list is NOT part of the formal record of the OASIS Emergency Management TC.
Comments for the OASIS record should be posted using the form at
http://www.oasis-open.org/committees/comments/form.php?wg_abbrev=emergency
CAP-list mailing list
[email-masked]
http://lists.incident.com/mailman/listinfo/cap-list

---

From: "David Aylward \(Comcare\)" <[email-masked]>
Date: Sun, 12 Jul 2009 16:51:28 -0400

Hannes:

I am certainly not the world authority on this, but I was repeating the
views of many who have spent time on this issue for many years.  

You are describing a simplified version of what I suggested, just an
entirely anarchic one.

There is another reason that may not be so obvious to machine to machine
people.  There are semantic interoperability reasons for trying to confine
the choices.  In the emergency response eco-system definitions of incidents
get used verbally and in writing, as well as machine to machine.  

-----Original Message-----
From: Hannes Tschofenig [mailto:[email-masked]] 
Sent: Sunday, July 12, 2009 3:07 PM
To: David Aylward; [email-masked]; [email-masked]
Subject: RE: [CAP] Definition of Warning Categories

Hi David, 

Ciao
Hannes

---

From: Tony Rutkowski <[email-masked]>
Date: Sun, 12 Jul 2009 16:56:17 -0400

> revised terms is fine as well. 
A step in that direction was taken at the joint WMO-ITU-T-OASIS workshop
three weeks ago. Steps are being taken to set up an dedicated OID namespace
for all manner of alert tags, especially for CAP.  WMO is setting up a
registry
for some of the namespace.  It's designed to be distributed and autonomous
within an OID construct.

--tony

-- 
Tony Rutkowski | Netmagic Associates LLC | Ashburn VA | mob: +1 703.999.8270